Bug 1119746 - bug: org.infinispan.jcache.annotation.CacheResultInterceptor is not supported
Summary: bug: org.infinispan.jcache.annotation.CacheResultInterceptor is not supported
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Post GA
: 6.3.0
Assignee: Misha H. Ali
QA Contact:
URL:
Whiteboard:
Depends On: 1119780 1121682 1122025
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 12:27 UTC by Misha H. Ali
Modified: 2014-08-14 01:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 12540, Developer Guide-6.3 Build Date: 15-07-2014 18:06:23 Topic ID: 12402-627867 [Latest]
Last Closed: 2014-08-14 01:39:54 UTC
Type: Bug


Attachments (Terms of Use)
Developer guide wrong syntax highlighting (78.87 KB, application/octet-stream)
2014-07-29 06:33 UTC, Martin Gencur
no flags Details

Description Misha H. Ali 2014-07-15 12:27:12 UTC
Title: Enable Cache Annotations

Describe the issue:

org.infinispan.jcache.annotation.CacheResultInterceptor is not supported. we need to remove this from the docs and replace with whatever is appropriate for 6.3


Suggestions for improvement:


Additional information:

Comment 5 Misha H. Ali 2014-07-22 03:22:14 UTC
Checking with Galder and Wolf about patch contents to document this issue.

Comment 7 Misha H. Ali 2014-07-24 02:45:37 UTC
Thanks, Wolf. Looking into this now.

Comment 8 Misha H. Ali 2014-07-24 05:52:45 UTC
So I've changed the following to the text available for 6.1 for the same:

* ⁠13.2.3.1. Configure Cache Annotations
* ⁠13.2.3.2. Enable Cache Annotations
* ⁠13.2.3.3. Caching the Result of a Method Invocation
* ⁠13.2.3.3.1. Specify the Cache Used
* ⁠13.2.3.3.2. Cache Keys for Cached Results
* ⁠13.2.3.3.3. Generate a Custom Key

Click here for verification: http://docbuilder.usersys.redhat.com/12540/#sect-Storage_and_Retrieval_Using_CDI_Annotations

Martin, can you or someone from your team have a look and confirm this content is now appropriate for our jcache fix?

Comment 9 Martin Gencur 2014-07-28 07:39:15 UTC
Misha, 
this looks good to me. 

Just one note:

⁠* 13.2.3.3. Caching the Result of a Method Invocation
-> syntax highlighting is broken for 3 code snippets

Comment 10 Misha H. Ali 2014-07-29 05:15:48 UTC
Odd. I can't spot any syntax issues, so checking with Tristan and Mircea about this.

Comment 11 Martin Gencur 2014-07-29 06:33:08 UTC
Created attachment 922034 [details]
Developer guide wrong syntax highlighting

Comment 12 Martin Gencur 2014-07-29 06:34:26 UTC
Attached a screenshot. 

The first code snippet is just in black color. The second is red, probably contains an error. The third one is same as the first one.

Comment 13 Misha H. Ali 2014-07-29 06:40:05 UTC
Yes, sorry. I should have been clearer.

I meant that the second one (which is red) should only be this color if there is a syntax issue. I'm not really a java programmer, but I can't spot any basic issues (missing semi-colon or mismatched brackets). If there is nothing wrong with the snippet, I'll just adjust the formatting to manually remove the red color.

Comment 14 Martin Gencur 2014-07-29 06:46:36 UTC
Right, I can't see any syntax error either.

Comment 16 Misha H. Ali 2014-08-04 02:55:54 UTC
Setting this to Tomas since Martin is away for two weeks.

Comment 17 Tomas Sykora 2014-08-04 08:49:11 UTC
I can see it properly -- even with code highlights now.
Thanks!

Verified

Comment 18 Misha H. Ali 2014-08-14 01:39:54 UTC
The fix for this bug is now available on access.redhat.com:

https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.3/


Note You need to log in before you can comment on or make changes to this bug.